Cyberduck Mountain Duck CLI

#5226 closed enhancement (fixed)

Display only affected files in synchronization preview

Reported by: https://me.yahoo.com/fcaraven#55ad7 Owned by: dkocher
Priority: normal Milestone: 3.7
Component: interface Version: 3.6.1
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

It would be very nice if, when using the "Synchronize" feature, the preview dialog could be set to only show the affected files (that is, the files that will be modified). As a matter of fact, this was the default behavior of older versions of Cyberduck (some three years ago, if I remember correctly).

The reason why I'm asking this enhancement is that I (and presumably many other users) often synchronize folders which contain a huge number of subfolders, sub-subfolders, etc. In such occasions, in order to know which files will be affected, I am obliged 1) to expand all the subfolders, sub-subfolders, etc. in the preview dialog and 2) to scroll the resulting very long list of files, looking for the few ones with an "arrow" symbol on their right...

It would just be very much easier if there were an option to display only affected files in the preview dialog.

Change History (4)

comment:1 Changed on Sep 24, 2010 at 2:07:18 PM by dkocher

  • Component changed from core to interface
  • Milestone set to 3.6.2
  • Status changed from new to assigned

comment:2 Changed on Sep 24, 2010 at 2:13:17 PM by dkocher

  • Summary changed from "synchronize" preview dialog to Display only affected files in synchronization preview

comment:3 Changed on Oct 1, 2010 at 12:29:50 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r7157.

comment:4 Changed on Nov 30, 2010 at 5:04:23 PM by dkocher

Reverted in r7852. If implemented needs a better fix.

Note: See TracTickets for help on using tickets.
swiss made software